Subject: SEO Candidate - Priyanka Mittal
From: Priyanka Mittal <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 22 Sep 2022 02:35:28 -0400

| | SEO  Test

Name | Priyanka Mittal
E-mail | [email-masked]
Phone Number | (+91) 9817432975
Where do you currently live (area) | CHANDIGARH

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | iMark Infotech | Project Analyst | 23 September | 2.58LPA
Previous Employer 1 | Techarchsoftwares | Digital Marketing Executive | 22 June 2021 | 1.20 LPA
Previous Employer 2 | | | |

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords?

Yes, inthemarket.ie

Dog run
Polytuneel
Cat tree
Chicken coup
Hen run for sale
Spin bike
Buy chicken coop
Treadmill price

Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them?

Yes, I have worked on the following websites:
comfortdentalcentrebuderim.com.au (Buderim, Australia)
Dental implants buderim
Invisalign cost buderim
General dentist buderim

360dentalmarketing.com.au (Australia)
18 keywords ranking in top 3 positions
Dental wen design
Dental website design melbourne
Dental website developers Australia

animation tech.tv (Los Angeles, CA, USA)
6 Keywords Ranking in top 3 positions
Workstation rental
Post production rentals

prestigecarpetcleaning.ca (Ontario, Canada)
22 Keywords Ranking in top 3 positions for eg:
Sectional cleaning service
Furniture cleaning service

Give a list of Keywords that you have ranked and name of websites

I have given the list of the keywords in the above section.

How do you do Keyword Research?

Tools that I use for keywords Research:
1. Semrush
2. Keyword Planner
3. Keyword Finder
4. Competitor's Keywords
5. Google Keyword Planner

Factors Consider while searching keywords:
1. Monthly Search Volume
2. Keywords Difficulty
3. Competitor's Keywords

What activities do you perform Off Page?

1. Social Bookmarking
2. Profile Creation
3. Infographics submission
4. PPT Submission
5. Business Listings
6. Quora
7. Image Sharing
8. Guest Posting

| |